using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x73,"NIT","BAT","SDT")]
    [BannedTable("TSDT","EIT")]
    class DefaultAuthorityDescriptor : TsDescriptor
    {
        public DefaultAuthorityDescriptor(byte[] buffer)
        {
            DefaultAuthority = Encoding.UTF8.GetString(buffer);
        }

        public string DefaultAuthority { get; private set; }
    }
}
